<?php

namespace AutoAdmin\Bundle\Media\Mapper;

use AutoAdmin\Bundle\Media\Model\MediaInterface;

interface MapperInterface
{
    public function supports(MediaInterface $media): bool;

    public function getUploadPath(MediaInterface $media): string;

    public function getPublicPath(MediaInterface $media): string;

    public function replaceTokens(string $sourceString, MediaInterface $media): string;
}